Package com.pixelmed.display

# Class SafeFileChooser

java.lang.Object
com.pixelmed.display.SafeFileChooser

public class SafeFileChooser extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SafeFileChooser.SafeFileChooserThread`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JFileChooser`
`chooser`
`protected static ResourceBundle`
`resourceBundle`
`protected static String`
`resourceBundleName`

## Constructor Summary

Constructors
Constructor
Description
`SafeFileChooser()`
`SafeFileChooser(String currentDirectoryPath)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getCurrentDirectory()`
`File`
`getSelectedFile()`
`protected static void`
`localizeJFileChooser()`
`void`
`setDialogTitle(String dialogTitle)`
`void`
`setFileSelectionMode(int mode)`
`int`
`showOpenDialog(Component parent)`
`int`
`showSaveDialog(Component parent)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### resourceBundleName

protected static String resourceBundleName

### resourceBundle

protected static ResourceBundle resourceBundle

### chooser

protected JFileChooser chooser

## Constructor Details

### SafeFileChooser

public SafeFileChooser()

### SafeFileChooser

public SafeFileChooser(String currentDirectoryPath)

## Method Details

### localizeJFileChooser

protected static void localizeJFileChooser()

### setFileSelectionMode

public void setFileSelectionMode(int mode) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### showOpenDialog

public int showOpenDialog(Component parent) throws HeadlessException

Throws:
  `HeadlessException`

### getCurrentDirectory

public File getCurrentDirectory()

### getSelectedFile

public File getSelectedFile()

### showSaveDialog

public int showSaveDialog(Component parent) throws HeadlessException

Throws:
  `HeadlessException`

### setDialogTitle

public void setDialogTitle(String dialogTitle) throws HeadlessException

Throws:
  `HeadlessException`